CVISE(1)

NAME
cvise - super-parallel Python port of the C-Reduce project

DESCRIPTION
usage: cvise [-h] [--n N] [--tidy] [--shaddap] [--die-on-pass-bug] [--sllooww]

    [--also-interesting EXIT_CODE] [--debug] [--log-level {INFO,DEBUG,WARNING,ERROR}] [--log-file LOG_FILE] [--no-give-up] [--print-diff] [--save-temps] [--skip-initial-passes] [--skip-interestingness-test-check] [--remove-pass REMOVE_PASS] [--start-with-pass START_WITH_PASS] [--no-timing] [--timestamp] [--timeout [TIMEOUT]] [--no-cache] [--skip-key-off] [--max-improvement BYTES] [--pass-group {binary,opencl-120,delta,all} | --pass-group-file PASS_GROUP_FILE] [--clang-delta-std {c++98,c++11,c++14,c++17,c++20}] [--clang-delta-preserve-routine CLANG_DELTA_PRESERVE_ROUTINE] [--not-c] [--renaming] [--list-passes] [--version] [--commands COMMANDS] [--to-utf8] [INTERESTINGNESS_TEST] TEST_CASE [TEST_CASE ...]

C-Vise

  positional arguments:

INTERESTINGNESS_TEST
    Executable to check interestingness of test cases

TEST_CASE
    Test cases

  optional arguments:

-h, --help
    show this help message and exit

--n N, -n N
    Number of cores to use; C-Vise tries to automatically pick a good setting but its choice may be too low or high for your situation

--tidy
    Do not make a backup copy of each file to reduce as file.orig

--shaddap
    Suppress output about non-fatal internal errors

--die-on-pass-bug
    Terminate C-Vise if a pass encounters an otherwise non-fatal problem

--sllooww
    Try harder to reduce, but perhaps take a long time to do so

--also-interesting EXIT_CODE
    A process exit code (somewhere in the range 64-113 would be usual) that, when returned by the interestingness test, will cause C-Vise to save a copy of the variant

--debug
    Print debug information (alias for --log-level=DEBUG)

--log-level {INFO,DEBUG,WARNING,ERROR}
    Define the verbosity of the logged events

--log-file LOG_FILE
    Log events into LOG_FILE instead of stderr. New events are appended to the end of the file

--no-give-up
    Don't give up on a pass that hasn't made progress for 50000 iterations

--print-diff
    Show changes made by transformations, for debugging

--save-temps
    Don't delete /tmp/cvise-xxxxxx directories on termination

--skip-initial-passes
    Skip initial passes (useful if input is already partially reduced)

--skip-interestingness-test-check, -s
    Skip initial interestingness test check

--remove-pass REMOVE_PASS
    Remove all instances of the specified passes from the schedule (comma-separated)

--start-with-pass START_WITH_PASS
    Start with the specified pass

--no-timing
    Do not print timestamps about reduction progress

--timestamp
    Print timestamps instead of relative time from a reduction start

--timeout [TIMEOUT]
    Interestingness test timeout in seconds

--no-cache
    Don't cache behavior of passes

--skip-key-off
    Disable skipping the rest of the current pass when 's' is pressed

--max-improvement BYTES
    Largest improvement in file size from a single transformation that C-Vise should accept (useful only to slow C-Vise down)

--pass-group {binary,opencl-120,delta,all}
    Set of passes used during the reduction

--pass-group-file PASS_GROUP_FILE
    JSON file defining a custom pass group

--clang-delta-std {c++98,c++11,c++14,c++17,c++20}
    Specify clang_delta C++ standard, it can rapidly speed up all clang_delta passes

--clang-delta-preserve-routine CLANG_DELTA_PRESERVE_ROUTINE
    Preserve the given function in replace-function-defwith-decl clang delta pass

--not-c
    Don't run passes that are specific to C and C++, use this mode for reducing other languages

--renaming
    Enable all renaming passes (that are disabled by default)

--list-passes
    Print all available passes and exit

--version
    show program's version number and exit

--commands COMMANDS, -c COMMANDS
    Use bash commands instead of an interestingness test case

--to-utf8
    Convert any non-UTF-8 encoded input file to UTF-8

  available shortcuts:

    S - skip execution of the current pass D - toggle --print-diff option

For bug reporting instructions, please use: https://github.com/marxin/cvise/